Bug 166570 - XFCE-components missing after a "yum groupinstall xfce"
XFCE-components missing after a "yum groupinstall xfce"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: comps (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-23 10:02 EDT by Kyrre Ness Sjøbæk
Modified: 2014-03-16 22:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 21:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2005-08-23 10:02:18 EDT
Description of problem:
When i installed XFCE through said procedure, some packages are omitted (such as
the tray). The packages are included in this list:

 xfce-mcs-manager-devel  i386       4.2.2-1.fc4      extras-development  4.3 k
 xfce4-appfinder         i386       4.2.2-1.fc4      extras-development  232 k
 xfce4-icon-theme        noarch     4.2.2-1.fc4      extras-development  1.4 M
 xfce4-mixer             i386       4.2.2-1.fc4      extras-development  148 k
 xfce4-panel-devel       i386       4.2.2-1.fc4      extras-development   11 k
 xfce4-session           i386       4.2.2-1.fc4      extras-development  445 k
 xfce4-session-devel     i386       4.2.2-1.fc4      extras-development  8.7 k
 xfce4-session-engines   i386       4.2.2-1.fc4      extras-development  322 k
 xfce4-toys              i386       4.2.2-2.fc4      extras-development   60 k
 xfce4-trigger-launcher  i386       4.2.2-2.fc4      extras-development   33 k
Installing for dependencies:
 libxfce4mcs-devel       i386       4.2.2-1.fc4      extras-development   34 k

Which are installed after a "yum install xfce*

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Michael Schwendt 2005-08-24 17:29:23 EDT
also see bug 160558
Comment 2 Kevin Fenzi 2005-08-24 18:17:55 EDT
Yeah, the packages listed above are new to the 4.2.x stable branch of Xfce. 
They didn't exist in the old 4.0.6 (last version shipped in core). 
None of them are required to allow the desktop to run (although xfce4-session is
very nice if you want your session saved when you logout and back in). 

So, we need to add them to the comps file for yum to see on the fedora-extras
repositories. What package/component should I file that against/change this bug
to? fedora-infrastructure?

We need to add: 
xfce4-appfinder
xfce4-icon-theme
xfce4-mixer
xfce4-session
xfce4-session-engines
xfce4-toys
xfce4-trigger-launcher

To the Xfce group in comps. 
And also:

xfce-mcs-manager-devel
xfce4-panel-devel
xfce4-session-devel
libxfce4mcs-devel

Should be added to the Xfce-development comps group. 
Would be nice to fix for both FC4 and development. 

(As a side note, we can't change it for FC3 most likely, as all these new
packages are in extras, but the main packages are still in core). 
Comment 3 Bill Nottingham 2006-08-18 16:34:18 EDT
Does this still happen, or was this fixed?
Comment 4 Kyrre Ness Sjøbæk 2006-08-18 19:12:15 EDT
Well, i don't know. The xfce-needing machine is sitting in a storage room ribbed
of its old, usefull components...

As i don't have any test machines rigth now, its probably easier for you to test.
Comment 5 Bill Nottingham 2006-08-18 21:10:13 EDT
No, it wasn't done. My apologies. Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.